#include <bits/stdc++.h>


using namespace std;


int main(){
	long long br;
	cin>>br;

	
			for(int i=1;i<br;i++){
				cout<<i<<" ";
			}
			cout<<br+1<<endl<<br<<" ";
			for(int i=br+2;i<=br*2;i++)cout<<i<<" ";
		
	
	
	
	
	
}